pydo.apps.get_job_invocation_logs()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.apps.get_job_invocation_logs(
app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
job_name="component",
job_invocation_id="123e4567-e89b-12d3-a456-426",
deployment_id=None,
follow=None,
type="JOB_INVOCATION",
pod_connection_timeout=None,
tail_lines=None,
)Description
Retrieve the logs of a past, in-progress, or active deployment. If a component name is specified, the logs will be limited to only that component. If deployment is omitted the active deployment will be selected (if available). The response will include links to either real-time logs of an in-progress or active deployment or archived logs of a past deployment.
Parameters
app_idstring requiredThe app ID
job_namestring requiredThe job name to list job invocations for.
job_invocation_idstring requiredThe ID of the job invocation to retrieve.
deployment_idstring optionalThe deployment ID
followboolean optionalWhether the logs should follow live updates.
typestring requiredExample:
JOB_INVOCATIONThe type of logs to retrieve
pod_connection_timeoutstring optionalAn optional time duration to wait if the underlying component instance is not immediately available. Default:
3m.tail_linesstring optionalThe number of lines from the end of the logs to retrieve.
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/jobs/{job_name}/invocations/{job_invocation_id}/logs in the API reference for additional detail on responses, headers, parameters, and more.